> For the complete documentation index, see [llms.txt](https://docs.bsc.lista.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bsc.lista.org/zh-cn/kai-fa-zhe/services/lending-api/overall.md).

# 总览

## GET /api/moolah/overall

返回协议级的数据快照（例如跨链的 TVL、总供应量、总借款量）。

**Method：** `GET`\
**Path：** `/api/moolah/overall`

***

### 查询参数

| 参数        | 类型              | 必填 | 说明                                       |
| --------- | --------------- | -- | ---------------------------------------- |
| `chainId` | number / string | 否  | 按链过滤（例如 56 = BSC，1 = Ethereum）。省略则返回所有链。 |

***

### 响应

包含全协议指标的对象。典型字段：

| 字段               | 类型              | 说明                      |
| ---------------- | --------------- | ----------------------- |
| `totalSupplyUsd` | string          | 以 USD 计的总供应价值（所有金库/市场）。 |
| `totalBorrowUsd` | string          | 以 USD 计的总借款价值。          |
| `tvlUsd`         | string          | 以 USD 计的总锁仓价值。          |
| `chainList`      | array           | 有数据的链 ID 列表。            |
| `updatedAt`      | number / string | 快照的时间戳。                 |

其他键（例如按链拆分、金库数量、市场数量）取决于已部署的 API。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bsc.lista.org/zh-cn/kai-fa-zhe/services/lending-api/overall.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
